Subject: Re: [PATCH v8 0/2] send-email: shell completion improvements

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Oct 2021 09:31:31 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> FWIW I came up with the below on top while testing this. I think your
> patch series is fine and we should just take it as-is.
>
> This edge case of "--no" behavior isn't something we support in any
> sensible way already, so it can just be left for later.

I was kind of surprised to see --no-suppress-from was among the
completions offered by the new code (given that nothing special
cases a boolean and adds --no-$_ variant to the output), but then
found that some options are listed with "no-" prefix, which is, eh,
"Yuck" in the existing code, perhaps.

But I think this is good to take.  Let's apply it.

Thanks, both.